package com.fzm.mall.server.front.constant;

/**
 * @author lyz
 * @mail lyz@disanbo.com
 * @create 2021/1/25 14:32
 * @description
 */
public enum MallResponseEnum {
    SUCCESS("00000","SUCCESS"),
    FAIL("11111", "FAIL"),
    TEST_SUCCESS("00000","TEST_SUCCESS"),
    PARAMETER_ERR("10001", "PARAMETER_ERR"),
    ACCOUNT_ERR("10002","ACCOUNT_ERR"),
    CODE_NOT_SEND("10003","CODE_NOT_SEND"),
    CODE_ERR("10004","CODE_ERR"),
    REGISTER_CODE_ERR("10005","REGISTER_CODE_ERR"),
    REGISTER_ALREADY("10006","REGISTER_ALREADY"),
    CREATE_ADDR_ERR("10007","CREATE_ADDR_ERR"),
    DB_ERROR("10008","DB_ERROR"),
    GOOD_ORDER_RETURN_FAILURE("200500", "GOOD_ORDER_RETURN_FAILURE"),
    GOOD_ORDER_RETURN_FAILURE_FOR_BP_NOT_ENOUGH("400400", "GOOD_ORDER_RETURN_FAILURE_FOR_BP_NOT_ENOUGH"),
    GOOD_ORDER_RETURN_SUCCESS("200200", "GOOD_ORDER_RETURN_SUCCESS"),
    GOOD_ORDER_RETURN_FAILURE_FOR_ALREADY_DELIVERY("400400", "GOOD_ORDER_RETURN_FAILURE_FOR_ALREADY_DELIVERY"),
    GOOD_ORDER_ID_FORMAT("400400", "GOOD_ORDER_ID_FORMAT"),
    GOOD_DELIVERY_ADDRESS_FORMAT("400400", "GOOD_DELIVERY_ADDRESS_FORMAT"),
    HTTP_MESSAGE_NOT_MATCH_EXCEPTION("400", "HTTP_MESSAGE_NOT_MATCH_EXCEPTION"),
    USER_ID_FORMAT("400400", "USER_ID_FORMAT"),
    GOOD_CANT_ORDER_SELF("400400", "GOOD_CANT_ORDER_SELF"),
    GOOD_BP_NUM_FORMAT("400400", "GOOD_BP_NUM_FORMAT"),
    GOOD_COUPON_NOT_EXIST("400400", "GOOD_COUPON_NOT_EXIST"),
    GOOD_NUMBER_FORMAT("400400", "GOOD_NUMBER_FORMAT"),
    GOOD_NOT_EXIST("400400", "GOOD_NOT_EXIST"),
    GOOD_DELIVERY_NOTE_FORMAT("400400", "GOOD_DELIVERY_NOTE_FORMAT"),
    GOOD_STOCK_NOT_ENOUGH("400400", "GOOD_STOCK_NOT_ENOUGH"),
    GOOD_CANT_ORDER("400400", "GOOD_CANT_ORDER"),
    goods_sale_NOT_START("400400", "goods_sale_NOT_START"),
    goods_sale_ALREADY_END("400400", "goods_sale_ALREADY_END"),
    GOOD_ORDER_FAILURE("200500", "GOOD_ORDER_FAILURE"),
    GOOD_ORDER_SUCCESS("200200", "GOOD_ORDER_SUCCESS"),
    ORDERNO_NULL_ERROR("400400", "ORDERNO_NULL_ERROR"),
    SKUID_NULL("400400", "SKUID_NULL"),
    MODIFY_SHOPCART_NULL("400400", "MODIFY_SHOPCART_NULL"),
    DELIVERY_SAVE_FAILED("400400", "DELIVERY_SAVE_FAILED"),
    OPERATION_OFTEN("200201","OPERATION_OFTEN"),
    NOT_SET_PAY_PASSWORD("200202","NOT_SET_PAY_PASSWORD"),
    PAY_PASSWORD_ERR("200203","PAY_PASSWORD_ERR"),
    ASSET_NOT_ENOUGH("200204","ASSET_NOT_ENOUGH"),
    ADDRESS_NOT_EXIST("400400", "ADDRESS_NOT_EXIST"),
    ORDER_NOT_PAY("200205","ORDER_NOT_PAY"),
    GOOD_DELIVERY_NOT_EXIST("400400","GOOD_DELIVERY_NOT_EXIST"),
    GOODS_NOT_BUY("200206","GOODS_NOT_BUY"),
    GOOD_NUM_ERR("200207","GOOD_NUM_ERR"),
    NOT_SUPPORT_MAIL("200208","NOT_SUPPORT_MAIL"),
    GOOD_DELIVERY_ALREADY_DELETE("400400","GOOD_DELIVERY_ALREADY_DELETE"),
    UPLOAD_FORMAT_ERROR("200209","UPLOAD_FORMAT_ERROR"),
    NOT_SUPPORT_RETURN_GOODS("200210","NOT_SUPPORT_RETURN_GOODS"),
    NOT_SUPPORT_RETURN_MONEY("200211","NOT_SUPPORT_RETURN_MONEY"),
    NOT_SUPPORT_RETURN_GOODS_TWO("200212","NOT_SUPPORT_RETURN_GOODS_TWO"),
    NOT_SUPPORT_RETURN_MONEY_TWO("200213","NOT_SUPPORT_RETURN_MONEY_TWO"),
    ACCOUNT_FROZEN("200214","ACCOUNT_FROZEN"),
    DATE_ERR("200215","DATE_ERR"),
    NICK_NAME_ERR("200216","NICK_NAME_ERR"),
    COUPON_ERR("200217","COUPON_ERR"),
    AREADLY_SUPPORT("200218","AREADLY_SUPPORT"),
    OID_ERR("200219","OID_ERR"),
    AREADLY_REWARD_COMMENT("200220","AREADLY_REWARD_COMMENT"),
    NOT_SUPPORT_BUY_MYSELF("200221","NOT_SUPPORT_BUY_MYSELF"),
    ONLY_SUPPORT_MAIL("200222","ONLY_SUPPORT_MAIL"),
    SEND_CODE_ERR("200223","SEND_CODE_ERR"),
    NULL_PARAM_ERROR("200224","NULL_PARAM_ERROR"),
    HOT_ACTIVITY("200237","HOT_ACTIVITY"),

    // 系统参数配置,
    QUERY_SUCCESS("200200", "query_success"),

    TRAN_CANCLE_FAIL("200201", "RECORD_EXIST"),

    TRAN_RECORD_FAIL("200202", "ADDR_INVALID"),

    REPETITIVE_OPERATION_FAIL("200203", "REPETITIVE_OPERATION_FAIL"),
    ;

    private String code;
    private String msgKey;

    MallResponseEnum(String code, String msgKey) {
        this.code = code;
        this.msgKey = msgKey;
    }

    public String code(){
        return this.code;
    }

    public String msgKey(){
        return this.msgKey;
    }
}
